CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

文档属性 (ActiveX)

2023-1-3 18:05| 发布者: admin| 查看: 453| 评论: 0|来自: AutoCAD

摘要: 获取对象所属的文档(绘图)。

获取对象所属的文档(绘图)。

支持的平台:仅窗口

签名

工 务 局:

object.Document
对象

类型:所有图形对象,块,字典,暗样式,暗样式,,图层,图层布局,布局,线型,线型模型空间图纸空间,绘图配置,打印配置已注册的应用程序,已注册的应用程序,分区管理器,分区设置排序表子DMesh,表格样式,文本样式,文本样式,UCSUCS视图,视图,口,视XRecord

此属性适用的对象。

属性值

只读:是的

类型:文档

包含对象的文档(绘图)。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Document()
    ' This example creates a circle in model space and then
    ' finds the name of the document that the circle resides in.
   
    Dim circleObj As AcadCircle
    Dim centerPoint(0 To 2) As Double
    Dim radius As Double
    
    ' Define the circle
    centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0#
    radius = 5#
    
    ' Create the Circle object in model space
    Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius)
    ZoomAll
    
    ' Find the document name for the circle
    Dim currDoc As AcadDocument
    Set currDoc = circleObj.Document
    
    MsgBox "The circle resides in: " & currDoc.name
        
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Document()
    ;; This example creates a circle in model space and then
    ;; finds the name of the document that the circle resides in.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))  
    
    ;; Define the circle
    (setq centerPoint (vlax-3d-point 0 0 0)  
          radius 5)

    ;; Create the Circle object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq circleObj (vla-AddCircle modelSpace centerPoint radius))
    (vla-ZoomAll acadObj)
    
    ;; Find the document name for the circle
    (setq currDoc (vla-get-Document circleObj))
    
    (alert (strcat "The circle resides in: " (vla-get-Name currDoc)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 01:57

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部